Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.dl
Class DLSyntaxParserTokenManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.dl.DLSyntaxParserTokenManager

All Implemented Interfaces:
  DLSyntaxParserConstants

    public class DLSyntaxParserTokenManager

extends Object
implements DLSyntaxParserConstants

Field Summary
`protected char` | `curChar`
`PrintStream` | `debugStream`
`protected JavaCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface edu.stanford.smi.protegex.owl.model.classparser.dl.DLSyntaxParserConstants
`CLASS_ID, CLOSEPAR, CLOSESQPAR, DATATYPE_ID, DATATYPE_PROPERTY_ID, DEFAULT, DIGIT, EOF, EXPONENT, FLOATING_POINT_LITERAL, FORMAL_COMMENT, IDENTIFIER, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDIVIDUAL_ID, INTEGER_LITERAL, LETTER, MULTI_LINE_COMMENT, OBJECT_PROPERTY_ID, ONE_OF, OPENPAR, OPENSQPAR, SINGLE_LINE_COMMENT, STRING_LITERAL, tokenImage, UNBOUNDEDVAL`

Constructor Summary
`DLSyntaxParserTokenManager(JavaCharStream stream)`
`DLSyntaxParserTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(JavaCharStream stream)`
`void` | `ReInit(JavaCharStream stream, int lexState)`
`void` | `setDebugStream(PrintStream ds)`
`void` | `setOWLModel(OWLModel owlModel)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected JavaCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### DLSyntaxParserTokenManager

    public DLSyntaxParserTokenManager(JavaCharStream stream)

### DLSyntaxParserTokenManager

    public DLSyntaxParserTokenManager(JavaCharStream stream,
                                      int lexState)

Method Detail

### setOWLModel

    public void setOWLModel(OWLModel owlModel)

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.